# Gst::EventSinkMessage Class Reference

A sink-message event. More...

Inheritance diagram for Gst::EventSinkMessage:
[legend]
Collaboration diagram for Gst::EventSinkMessage:
[legend]

List of all members.

## Public Member Functions

| EventSinkMessage (GstEvent* event)
Glib::RefPtr< Gst::Message > | parse ()
| Parse the sink-message event.
Glib::RefPtr< const Gst::Message > | parse () const
| Parse the sink-message event.

## Static Public Member Functions

static Glib::RefPtr< Gst::Event > | create (const Glib::RefPtr< Gst::Message >& message)
| Create a new sink-message event.

## Detailed Description

A sink-message event.

See create() for more details.

## Constructor & Destructor Documentation

Gst::EventSinkMessage::EventSinkMessage | ( | GstEvent * | event | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Event> Gst::EventSinkMessage::create | ( | const Glib::RefPtr< Gst::Message >& | message | ) | `[static]`

Create a new sink-message event.

The purpose of the sink-message event is to instruct a sink to post the message contained in the event synchronized with the stream.

Parameters:

  msg | The message to be posted.

Returns:
  A new Gst::EventSinkMessage.

Glib::RefPtr<const Gst::Message> Gst::EventSinkMessage::parse | ( |  | ) | const

Parse the sink-message event.

Returns:
  the sink-messge's event message.

Glib::RefPtr<Gst::Message> Gst::EventSinkMessage::parse | ( |  | ) |

Parse the sink-message event.

Returns:
  the sink-messge's event message.

The documentation for this class was generated from the following file:

- gstreamermm/event.h